-- Create VOTER_STATUS table

CREATE TABLE FACELECTMGR.VOTER_STATUS
   (
      UNIQUEID VARCHAR2(300) NOT NULL ENABLE,
      ELECTION_ID NUMBER(7,0),
      ROUND_TYPE_ID NUMBER(7,0) ,
      VOTED NUMBER(1,0),
      CREATE_USER VARCHAR2(300),
      UPDATE_USER VARCHAR2(300),
      DATE_CREATED DATE,
      DATE_UPDATED DATE,
      PRIMARY KEY(UNIQUEID,ELECTION_ID,ROUND_TYPE_ID),
      FOREIGN KEY(round_type_id) REFERENCES FACELECTMGR.ROUND_TYPE(ROUND_TYPE_ID)
   );

-- VOTER_STATUS table column name description:
   
   COMMENT ON COLUMN "FACELECTMGR"."VOTER_STATUS"."UNIQUEID" IS 'unique id for the voter';
   COMMENT ON COLUMN "FACELECTMGR"."VOTER_STATUS"."ELECTION_ID" IS 'id related to the election table';
   COMMENT ON COLUMN "FACELECTMGR"."VOTER_STATUS"."ROUND_TYPE_ID" IS 'id related to the round_type table';
   COMMENT ON COLUMN "FACELECTMGR"."VOTER_STATUS"."VOTED" IS 'to check whether the person voted or not';
   COMMENT ON COLUMN "FACELECTMGR"."VOTER_STATUS"."CREATE_USER" IS 'to create the user';
   COMMENT ON COLUMN "FACELECTMGR"."VOTER_STATUS"."UPDATE_USER" IS 'to update the user';
   COMMENT ON COLUMN "FACELECTMGR"."VOTER_STATUS"."DATE_CREATED" IS 'to get the creation date of the voter_status table';
   COMMENT ON COLUMN "FACELECTMGR"."VOTER_STATUS"."DATE_UPDATED" IS 'get the date when voter_status was updated';
   
   
   